Set or update an account's interest rate
curl --request PATCH \
--url https://api.treasuryprime.com/account/{account_id}/interest_rate \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"interest_rate": 0.04
}
'import requests
url = "https://api.treasuryprime.com/account/{account_id}/interest_rate"
payload = { "interest_rate": 0.04 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({interest_rate: 0.04})
};
fetch('https://api.treasuryprime.com/account/{account_id}/interest_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_number": "64141601",
"account_type": "checking",
"address": {
"city": "San Francisco",
"postal_code": "94104",
"state": "CA",
"street_line_1": "1 Market St",
"street_line_2": "Suite 42"
},
"available_balance": "86753.09",
"bank_id": "bank_treasuryprime",
"business_ids": [],
"created_at": "2017-11-02T11:55:14Z",
"currency": "USD",
"current_balance": "86753.09",
"funded": true,
"id": "acct_1029384756",
"interest_rate": "0.04000",
"lock": null,
"locked": false,
"name": "George Washington",
"org_id": "org_1gwmpv3payf",
"person_ids": [
"owner_01d6y044p21s"
],
"primary_person_id": "owner_01d6y044p21s",
"routing_number": "021001208",
"status": "open",
"tags": null,
"updated_at": "2017-11-02T11:55:14Z",
"userdata": null
}Account
Set or Update an Account's Interest Rate
PATCH
/
account
/
{account_id}
/
interest_rate
Set or update an account's interest rate
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Account ID
Body
application/json
The account.interest_rate to update
Account interest rate. Must be between 0 and 1. For example, 0.015 would correspond to a rate of 1.5%.
Required range:
0 <= x < 1Response
200 - application/json
The account.interest_rate updated
The response is of type object.
Was this page helpful?
⌘I